'use strict';

var chunkFPAJGGOC = require('./chunk-FPAJGGOC.js');
var fileSystemProvider = require('../../../../../../../langium@3.3.1/node_modules/langium/lib/workspace/file-system-provider.js');
var dependencyInjection = require('../../../../../../../langium@3.3.1/node_modules/langium/lib/dependency-injection.js');
var defaultModule = require('../../../../../../../langium@3.3.1/node_modules/langium/lib/default-module.js');

// src/language/packet/tokenBuilder.ts
var PacketTokenBuilder = class extends chunkFPAJGGOC.AbstractMermaidTokenBuilder {
  static {
    chunkFPAJGGOC.__name(this, "PacketTokenBuilder");
  }
  constructor() {
    super(["packet"]);
  }
};

// src/language/packet/module.ts
var PacketModule = {
  parser: {
    TokenBuilder: /* @__PURE__ */ chunkFPAJGGOC.__name(() => new PacketTokenBuilder(), "TokenBuilder"),
    ValueConverter: /* @__PURE__ */ chunkFPAJGGOC.__name(() => new chunkFPAJGGOC.CommonValueConverter(), "ValueConverter")
  }
};
function createPacketServices(context = fileSystemProvider.EmptyFileSystem) {
  const shared = dependencyInjection.inject(
    defaultModule.createDefaultSharedCoreModule(context),
    chunkFPAJGGOC.MermaidGeneratedSharedModule
  );
  const Packet = dependencyInjection.inject(
    defaultModule.createDefaultCoreModule({ shared }),
    chunkFPAJGGOC.PacketGeneratedModule,
    PacketModule
  );
  shared.ServiceRegistry.register(Packet);
  return { shared, Packet };
}
chunkFPAJGGOC.__name(createPacketServices, "createPacketServices");

exports.PacketModule = PacketModule;
exports.createPacketServices = createPacketServices;
